<!DOCTYPE html>
<html>
<head>
    <title>Hello World</title>
    <link rel="shortcut icon" type="image/x-icon" href="icon.png"></link>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>
 
<body>
<canvas id="canvas"></canvas>
<style type="text/css">
    body{margin: 0; padding: 0; overflow: hidden;}
</style>
<script type="text/javascript">
    var canvas = document.getElementById('canvas');
    var ctx = canvas.getContext('2d');
    canvas.height = window.innerHeight;
    canvas.width = window.innerWidth;
    var texts = '01'.split('');
    var fontSize = 16;
    var columns = canvas.width/fontSize;
    var drops = [];
    for(var x = 0; x < columns; x++){
        drops[x] = 1;
    }
    function draw(){
        ctx.fillStyle = 'rgba(0, 0, 0, 0.05)';
        ctx.fillRect(0, 0, canvas.width, canvas.height);
        ctx.fillStyle = '#0F0';
        ctx.font = fontSize + 'px arial';
        for(var i = 0; i < drops.length; i++){
            var text = texts[Math.floor(Math.random()*texts.length)];
            ctx.fillText(text, i*fontSize, drops[i]*fontSize);
            if(drops[i]*fontSize > canvas.height || Math.random() > 0.95){
                drops[i] = 0;
            }
            drops[i]++;
        }
    }
    setInterval(draw, 60);
</script>
</body>